org.eclipse.mat.ui.internal.panes

## Class TextViewPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.internal.panes.TextViewPane

    public class TextViewPane
    extends AbstractEditorPane

### Constructor Summary

Constructors
Constructor and Description
`TextViewPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contributeToToolBar(IToolBarManager manager)`
`void` `createPartControl(Composite parent)`
`String` `getTitle()`
`Image` `getTitleImage()`
`void` `initWithArgument(Object param)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextViewPane

    public TextViewPane()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### contributeToToolBar

    public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `AbstractEditorPane`

#### initWithArgument

    public void initWithArgument(Object param)

Overrides:
  `initWithArgument` in class `AbstractEditorPane`

#### getTitle

    public String getTitle()

#### getTitleImage

    public Image getTitleImage()

Overrides:
  `getTitleImage` in class `AbstractEditorPane`